Connect Domain
API referenceWebhooks

Register a webhook receiver

POST
/webhook-endpoints
AuthorizationBearer <token>

API key: sk_test_… / sk_live_… (hashed at rest, scoped)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/webhook-endpoints" \  -H "Content-Type: application/json" \  -d '{    "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",    "url": "http://example.com"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",  "url": "http://example.com",  "events": [    "string"  ],  "active": true,  "signing_secret": "string"}
{  "error": {    "code": "string",    "message": "string",    "details": null  }}